#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Green
#property indicator_color2 Maroon

//---- input parameters
extern int NumberOfBarsToCalculate = 0;
extern int SRB = 10;
extern double step  = 0.02;
extern double maximum    = 0.2; 

//---- indicator buffers
double EasyBuyBuffer[];
double EasySellBuffer[];
double SRBBuffer[];
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init(){
   IndicatorBuffers(3);
   SetIndexStyle(0,DRAW_ARROW,STYLE_SOLID,1);
   SetIndexStyle(1,DRAW_ARROW,STYLE_SOLID,1);
   SetIndexStyle(2,DRAW_NONE,STYLE_SOLID,2);
   
   SetIndexBuffer(0,EasyBuyBuffer);
   SetIndexBuffer(1,EasySellBuffer);
   SetIndexBuffer(2,SRBBuffer);
   
   IndicatorDigits(MarketInfo(Symbol(),MODE_DIGITS));
   
   SetIndexEmptyValue(0,EMPTY_VALUE);
   SetIndexEmptyValue(1,EMPTY_VALUE);
   SetIndexEmptyValue(2,0);

   SetIndexArrow(1,232);
   SetIndexArrow(0,232);
//----
   return(0);
  }

double avr_of_prev_bars(int shift,double bnum){
   double sum = 0;
   for(int i=shift+bnum;i>shift;i--){
      sum += MathAbs(Close[i]-Open[i])/Point;
      }
   return (sum / bnum);
}
int start() {
   int  i,shift;
   int limit = NumberOfBarsToCalculate;
   if(limit==0) limit = Bars;
   
   int u = 0,d = 0;
   for(shift=limit-1;shift>0;shift--){
      double avg = avr_of_prev_bars(shift,SRB);
      if(avg!=0){
         SRBBuffer[shift] = ((MathAbs(Close[shift]-Open[shift])/Point)/avg);
         if(SRBBuffer[shift]>0.85){
            SRBBuffer[shift] = 0;
            }
         else{
            if(Close[shift]<=Close[shift+1]){
               EasyBuyBuffer[shift] = Open[shift] + 0.3 * avg * Point;
               EasySellBuffer[shift]= Open[shift] - 0.6 * avg * Point;
               }
            else{
               EasyBuyBuffer[shift] = Open[shift] + 0.6 * avg * Point;
               EasySellBuffer[shift]= Open[shift] - 0.3 * avg * Point;
               }

            double sar = iSAR(NULL,0,step,maximum,shift);
            if(sar<Close[shift]) EasySellBuffer[shift]=0;
            else EasyBuyBuffer[shift] = 0;
            }
         }
	   }
   return(0);
}



